package com.alterdekim.game.controller.result.async;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@JsonRootName(value = "item")
public class ServerItem {
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer Id;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer TRId;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer RId;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private String RTMPUrl;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer Load;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer FriendsCount;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer ClubsCount;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Double Weight;
}
